package com.chinaitop.depot.business.controller;

import com.chinaitop.depot.business.model.AuditRecords;
import com.chinaitop.depot.business.model.AuditRecordsExample;
import com.chinaitop.depot.business.service.AuditRecordsService;
import com.chinaitop.depot.utils.HTTPUtils;
import com.chinaitop.depot.utils.ParameterUtil;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping(value="/auditRecords")
public class AuditRecordsController {
	
	@Resource
	private AuditRecordsService auditRecordsService;

	

	/**
	 * 获取ById
	 * @return
	 */
	@RequestMapping(value = "/getAuditRecordsById" ,produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET)
	@ApiOperation(value="根据bid和btype查询对应报表审批", notes = "获取ById")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "id", value = "id", paramType = "query"),
			@ApiImplicitParam(name = "reportType", value = "reportType", paramType = "query")
			//报表类型 0：周报表 、1：月报表
	})
	public  List<AuditRecords> getAuditRecordsById(Integer id,Integer reportType){
		return auditRecordsService.findById(id,reportType);
	}


	@PostMapping("/audit")
	public Map<String, Object> audit(@RequestBody AuditRecords audit) {
		Integer i = auditRecordsService.save(audit);
		Map<String,Object> map = new HashMap();

		if (i >0 ) {
			map.put("code","200");
			map.put("status","成功");
			return map;
		}else {
			map.put("code","500");
			map.put("status","失败");
			return map;
		}

	}


}
