package com.chinaitop.depot.business.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.business.mapper.AuditRecordsMapper;
import com.chinaitop.depot.business.mapper.ReportMonthlyMapper;
import com.chinaitop.depot.business.mapper.ReportWeeklyMapper;
import com.chinaitop.depot.business.model.AuditRecords;
import com.chinaitop.depot.business.model.AuditRecordsExample;
import com.chinaitop.depot.business.model.ReportMonthly;
import com.chinaitop.depot.business.model.ReportWeekly;
import com.chinaitop.depot.business.service.AuditRecordsService;
import org.apache.commons.lang.ObjectUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Service
public class AuditRecordsServiceImpl implements AuditRecordsService {
	
	@Resource
	private AuditRecordsMapper auditRecordsMapper;

	@Resource
	private ReportMonthlyMapper reportMonthlyMapper;

	@Resource
	private ReportWeeklyMapper reportWeeklyMapper;

	@Override
	public List<AuditRecords> queryByExample(AuditRecordsExample example) {
		// TODO Auto-generated method stub
		return auditRecordsMapper.selectByExample(example);
	}

	@Override
	public AuditRecords findById(Integer Id) {
		// TODO Auto-generated method stub
		return auditRecordsMapper.selectByPrimaryKey(Id);
	}

	@Override
	public void add(AuditRecords auditRecords) {
		// TODO Auto-generated method stub
		auditRecordsMapper.insert(auditRecords);
	}

	@Override
	public void update(AuditRecords auditRecords) {
		// TODO Auto-generated method stub
		auditRecordsMapper.updateByPrimaryKey(auditRecords);
	}

	@Override
	public void remove(Integer Id) {
		// TODO Auto-generated method stub
		auditRecordsMapper.deleteByPrimaryKey(Id);
	}

	@Override
	public void updateWeeklyStatus(AuditRecords auditRecords) {
		// TODO Auto-generated method stub
		auditRecordsMapper.updateByPrimaryKeySelective(auditRecords);
	}

	@Override
	public Integer save(AuditRecords audit) {
		audit.setbType(audit.getReportType());
		//审批结果是驳回的时候修改月报表周报表上报状态
		//bType 报表类型 0：周报表 、1：月报表
		if (audit.getShResult().equals("审批驳回")) {
			if (audit.getReportType() == 0) {
				//修改周报表上报状态
				ReportWeekly week = new ReportWeekly();
				week.setId(Integer.valueOf(audit.getBid()));
				week.setStatus(String.valueOf("0"));
				reportWeeklyMapper.updateByPrimaryKeySelective(week);
			}else {
				//修改月报表上报状态
				ReportMonthly mon = new ReportMonthly();
				mon.setId(Integer.valueOf(audit.getBid()));
				mon.setStatus("0");
				reportMonthlyMapper.updateByPrimaryKeySelective(mon);
			}
			return auditRecordsMapper.insert(audit);
		}
		return auditRecordsMapper.insert(audit);
	}

	@Override
	public  List<AuditRecords> findById(Integer id, Integer reportType){
		// TODO Auto-generated method stub
		Map<String,Object> map = new HashMap<>();
		map.put("id",id);
		map.put("reportType",reportType);
		return auditRecordsMapper.selectByType(map);
	}

}
