package com.chinaitop.depot.tour.model;

import java.util.Date;

public class BusinessTour {
    private Integer id;

    private Integer orgId;

    private String rotationVarieties;

    private String plannedVolume;

    private String intoBoundSingular;

    private String intoNumber;

    private Integer intoHouseId;

    private Integer intoWarehouseId;

    private String outBoundSingular;

    private Integer outNumber;

    private Integer outHouseId;

    private Integer outWarehouseId;

    private String rotationType;

    private Date createTime;

    private String note;

    /**
     * 轮换巡报主键id
     * @return id 轮换巡报主键id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 轮换巡报主键id
     * @param id 轮换巡报主键id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 轮换品种--计划获取
     * @return rotation_varieties 轮换品种--计划获取
     */
    public String getRotationVarieties() {
        return rotationVarieties;
    }

    /**
     * 轮换品种--计划获取
     * @param rotationVarieties 轮换品种--计划获取
     */
    public void setRotationVarieties(String rotationVarieties) {
        this.rotationVarieties = rotationVarieties == null ? null : rotationVarieties.trim();
    }

    /**
     * 计划轮换量(吨)
     * @return planned_volume 计划轮换量(吨)
     */
    public String getPlannedVolume() {
        return plannedVolume;
    }

    /**
     * 计划轮换量(吨)
     * @param plannedVolume 计划轮换量(吨)
     */
    public void setPlannedVolume(String plannedVolume) {
        this.plannedVolume = plannedVolume == null ? null : plannedVolume.trim();
    }

    /**
     * 开具入库单数(吨)-通知单获取
     * @return into_bound_singular 开具入库单数(吨)-通知单获取
     */
    public String getIntoBoundSingular() {
        return intoBoundSingular;
    }

    /**
     * 开具入库单数(吨)-通知单获取
     * @param intoBoundSingular 开具入库单数(吨)-通知单获取
     */
    public void setIntoBoundSingular(String intoBoundSingular) {
        this.intoBoundSingular = intoBoundSingular == null ? null : intoBoundSingular.trim();
    }

    /**
     * 现轮入数(吨)-出入库获取
     * @return into_number 现轮入数(吨)-出入库获取
     */
    public String getIntoNumber() {
        return intoNumber;
    }

    /**
     * 现轮入数(吨)-出入库获取
     * @param intoNumber 现轮入数(吨)-出入库获取
     */
    public void setIntoNumber(String intoNumber) {
        this.intoNumber = intoNumber == null ? null : intoNumber.trim();
    }

    /**
     * 轮入仓号-出入库获取
     * @return into_house_id 轮入仓号-出入库获取
     */
    public Integer getIntoHouseId() {
        return intoHouseId;
    }

    /**
     * 轮入仓号-出入库获取
     * @param intoHouseId 轮入仓号-出入库获取
     */
    public void setIntoHouseId(Integer intoHouseId) {
        this.intoHouseId = intoHouseId;
    }

    /**
     * 轮入货位id-出入库获取
     * @return into_warehouse_id 轮入货位id-出入库获取
     */
    public Integer getIntoWarehouseId() {
        return intoWarehouseId;
    }

    /**
     * 轮入货位id-出入库获取
     * @param intoWarehouseId 轮入货位id-出入库获取
     */
    public void setIntoWarehouseId(Integer intoWarehouseId) {
        this.intoWarehouseId = intoWarehouseId;
    }

    /**
     * 开具出库单数(吨)-通知单获取
     * @return out_bound_singular 开具出库单数(吨)-通知单获取
     */
    public String getOutBoundSingular() {
        return outBoundSingular;
    }

    /**
     * 开具出库单数(吨)-通知单获取
     * @param outBoundSingular 开具出库单数(吨)-通知单获取
     */
    public void setOutBoundSingular(String outBoundSingular) {
        this.outBoundSingular = outBoundSingular == null ? null : outBoundSingular.trim();
    }

    /**
     * 现轮出数(吨)-出入库获取
     * @return out_number 现轮出数(吨)-出入库获取
     */
    public Integer getOutNumber() {
        return outNumber;
    }

    /**
     * 现轮出数(吨)-出入库获取
     * @param outNumber 现轮出数(吨)-出入库获取
     */
    public void setOutNumber(Integer outNumber) {
        this.outNumber = outNumber;
    }

    /**
     * 轮出仓号-出入库获取
     * @return out_house_id 轮出仓号-出入库获取
     */
    public Integer getOutHouseId() {
        return outHouseId;
    }

    /**
     * 轮出仓号-出入库获取
     * @param outHouseId 轮出仓号-出入库获取
     */
    public void setOutHouseId(Integer outHouseId) {
        this.outHouseId = outHouseId;
    }

    /**
     * 轮出货位id-出入库获取
     * @return out_warehouse_id 轮出货位id-出入库获取
     */
    public Integer getOutWarehouseId() {
        return outWarehouseId;
    }

    /**
     * 轮出货位id-出入库获取
     * @param outWarehouseId 轮出货位id-出入库获取
     */
    public void setOutWarehouseId(Integer outWarehouseId) {
        this.outWarehouseId = outWarehouseId;
    }

    /**
     * 轮换类型：into是入库；out是出库
     * @return rotation_type 轮换类型：into是入库；out是出库
     */
    public String getRotationType() {
        return rotationType;
    }

    /**
     * 轮换类型：into是入库；out是出库
     * @param rotationType 轮换类型：into是入库；out是出库
     */
    public void setRotationType(String rotationType) {
        this.rotationType = rotationType == null ? null : rotationType.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 备注
     * @return note 备注
     */
    public String getNote() {
        return note;
    }

    /**
     * 备注
     * @param note 备注
     */
    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }
}